page title in tab takes a long time to load
I just noticed this today. Sometimes when loading a tab its titlebar remains empty of text (but the favicon is still there) for upwards of  It doesn't happen all of the time - about  I'd say.

Couldn't find anything in the error console about it.

I've been able to repro through middle clicking an existing page link and ctrl-clicking a bookmark.
